# $Revision: 1.9 $, $Date: 2002/09/09 00:56:53 $
# TODO:
# - use external miniMOPAC (? included is modified, I think...)
# - src/target3/open.o  - don't use tempnam
# - use external openbabel

Summary:	Ghemical - The MM and QM calculations frontend
Summary(pl):	Ghemical - Frontend do oblicze MM oraz QM
Name:		ghemical
Version:	0.90
Release:	1
License:	GPL v2
Group:		X11/Applications/Science
Source0:	http://www.uku.fi/~thassine/ghemical/download/%{name}-%{version}.tgz
Source1:	%{name}.desktop
Source2:	%{name}.xpm
URL:		http://www.uku.fi/~thassine/ghemical/
BuildRequires:	autoconf
BuildRequires:	gcc-g77
BuildRequires:	glut-devel
BuildRequires:	gtkglarea-devel
BuildRequires:	gtk+-devel
BuildRequires:	libglade-gnome-devel
BuildRequires:	openbabel-devel
Buildrequires:	python-numpy-devel
Requires:	openbabel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_pkgdir		%{_datadir}/%{name}/%{version}

%description
Ghemical is a computational chemistry software package released under
the GNU GPL. It is written in C++. It has a graphical user interface
(in fact, a couple of them), and it supports both quantum-mechanics
(semi-empirical and ab initio) models and molecular mechanics models
(there is an experimental Tripos 5.2-like force field for organic
molecules). Also a tool for reduced protein models is included.
Geometry optimization, molecular dynamics and a large set of
visualization tools are currently available.

%description -l pl
Ghemical to pakiet oprogramowania obliczeniowego z zakresu chemii
wypuszczony na licencji GNU GPL, napisany w C++. Ma graficzny
interfejs uytkownika (w rzeczywistoci - kilka). Obsuguje zarwno
modele mechaniki kwantowej (semi-empiryzcne oraz ab initio) jak i
modele mechaniki molekularnej (jest eksperymentalne pole siy w stylu
Tripos 5.2 dla czstek organicznych). Doczone jest take narzdzie
do uproszczonych modeli biaek. Dostpne s optymalizacja geometrii,
dynamika molekularna oraz duy zestaw narzdzi do wizualizacji.

%prep
%setup -q

%build
%{__autoconf}
%configure 
#	--enable-mpqc
%{__make} \
	CFLAGS="%{rpmcflags} -I/usr/include/python2.2/Numeric" \
	CXXFLAGS="%{rpmcflags} -fno-exceptions %{!?debug:-DNO_DEBUG} -I/usr/X11R6/include -I/usr/include/python2.2/Numeric -DDATADIR=\\\"%{_datadir}/openbabel/\\\""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_applnkdir}/Scientific/Chemistry}
install -d $RPM_BUILD_ROOT%{_datadir}/{gnome/help/%{name}/C,pixmaps}
install -d $RPM_BUILD_ROOT%{_pkgdir}/parameters/{builder,mm2param,mm1param/{stable,unstable}}

install bin/%{name}	$RPM_BUILD_ROOT%{_bindir}
install bin/user-docs/*	$RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/C
install bin/parameters/builder/*.txt		$RPM_BUILD_ROOT%{_pkgdir}/parameters/builder
install bin/parameters/mm1param/stable/*.txt	$RPM_BUILD_ROOT%{_pkgdir}/parameters/mm1param/stable
install bin/parameters/mm1param/unstable/*.txt	$RPM_BUILD_ROOT%{_pkgdir}/parameters/mm1param/unstable
install bin/parameters/mm2param/*.txt		$RPM_BUILD_ROOT%{_pkgdir}/parameters/mm2param
install openbabel/*.txt				$RPM_BUILD_ROOT%{_pkgdir}
install %{SOURCE1}				$RPM_BUILD_ROOT%{_applnkdir}/Scientific/Chemistry
install %{SOURCE2}				$RPM_BUILD_ROOT%{_datadir}/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGLIST CHANGES PROJECT bin/examples/*
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/gnome/help/%{name}
%{_datadir}/gnome/help/%{name}/C/*
%dir %{_pkgdir}
%{_pkgdir}/*
%{_datadir}/pixmaps/*.xpm
%{_applnkdir}/Scientific/Chemistry/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ghemical.spec,v $
Revision 1.9  2002/09/09 00:56:53  blues
- 0.90 - removed outdated patches - STBR

Revision 1.8  2002/05/25 16:59:00  qboosh
- new %%doc, pl description (may require fixes)

Revision 1.7  2002/05/21 23:13:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.6  2002/05/12 05:27:11  blues
- release 1
- builds, works...
STBR

Revision 1.5  2002/05/12 04:59:02  blues
- rel. 0.5
- builds, files almoust done

Revision 1.4  2002/05/12 02:45:26  blues
- rel. 0.4
- added miniMOPAC.patch to allow compile

Revision 1.3  2002/05/12 01:34:05  blues
- added BR gcc-g77 and small TODO list

Revision 1.2  2002/05/12 01:25:52  blues
- some cleanups
- What is g2c library ???

Revision 1.1  2002/05/11 23:57:16  blues
- initial release
3d modeling of chemical molecules
NFY
